import request from "@/utils/request";

/*
 * 修改密码
 */
export const changePassword = (data) =>
  request(`/admin/change-password`, { data, method: "put" });

/*
 * 修改手机号
 */
export const changePhone = (data) =>
  request(`/admin/change-phone`, { data, method: "put" });

/*
 * 修改邮箱
 */
export const changeEmail = (data) =>
  request(`/admin/change-email`, { data, method: "put" });

/*
 * 后台登录
 */
export const login = (data) =>
  request("/admin/login", { data, method: "post" });

/*
* 后台注册
*/
export const register = (data) =>
  request("/admin/register", { data, method: "post" });

/*
* 登出
*/
export const logout = (data) =>
  request("/admin/logout", { data, method: "post" });


/*
 *查询当前登录状态
 */
// export const isLogin = (params) => request("//isLogin", { params })


/**
 * 获取当前用户信息
 */
export const currentUser = (params) => request("/admin/current", { params })
